SET NOCOUNT ON
IF NOT EXISTS(
	SELECT 
		ID 
	FROM 
		SYSOBJECTS 
	WHERE 
		NAME = 'EST_NF_ENT_DANFE_PROVISORIO_NAO_ENCONTRADO' AND XTYPE = 'U')
BEGIN
	SET NOCOUNT OFF
	RAISERROR('A TABELA NA QUAL O CAMPO SERÁ ADICIONADO NÃO FOI ENCONTRADA NO BANCO DE DADOS.',16,1)
END

ELSE
BEGIN
	IF NOT EXISTS (
		SELECT
			* 
		FROM 
			SYSCOLUMNS 
		WHERE 
			NAME = 'STS_IMP'
			AND ID IN (
				SELECT 
					ID 
				FROM 
					SYSOBJECTS 
				WHERE 
					NAME = 'EST_NF_ENT_DANFE_PROVISORIO_NAO_ENCONTRADO' AND XTYPE = 'U'))

		BEGIN
			ALTER TABLE DBO.EST_NF_ENT_DANFE_PROVISORIO_NAO_ENCONTRADO ADD STS_IMP INT NULL

		END
	SET NOCOUNT OFF
	PRINT 'STS_IMP NA TABELA EST_NF_ENT_DANFE_PROVISORIO_NAO_ENCONTRADO INSERIDO COM SUCESSO '
END
